summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-09-28 01:48:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-28 01:48:52 +0700
commit476f3ff12f543ff516e67f639e151013bed3fe5a (patch)
tree3c386bc2fc84b66dd9d2ac6a554d8627f44775cf
parenta24db6c95a3853121d1ee716e89761a6fa5723d4 (diff)
downloadslackbuilds-476f3ff12f543ff516e67f639e151013bed3fe5a.tar.gz
slackbuilds-476f3ff12f543ff516e67f639e151013bed3fe5a.tar.xz
system/arc: Added (archaic archiver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/arc/README4
-rw-r--r--system/arc/arc.SlackBuild68
-rw-r--r--system/arc/arc.info10
-rw-r--r--system/arc/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/system/arc/README b/system/arc/README
new file mode 100644
index 0000000000..7667ac99c1
--- /dev/null
+++ b/system/arc/README
@@ -0,0 +1,4 @@
+arc (archaic archiver)
+
+This program is based on the MSDOS ARC program, version 5.21, plus a
+few enhancements.
diff --git a/system/arc/arc.SlackBuild b/system/arc/arc.SlackBuild
new file mode 100644
index 0000000000..b9c5459d68
--- /dev/null
+++ b/system/arc/arc.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for arc
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=arc
+VERSION=${VERSION:-5.21q}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's,share/man,man,' Makefile
+make OPT="$SLKCFLAGS" DESTDIR=$PKG PREFIX=/usr all install
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Arc* COPYING LICENSE Readme $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/arc/arc.info b/system/arc/arc.info
new file mode 100644
index 0000000000..4275c4472c
--- /dev/null
+++ b/system/arc/arc.info
@@ -0,0 +1,10 @@
+PRGNAM="arc"
+VERSION="5.21q"
+HOMEPAGE="https://github.com/ani6al/arc"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/a/arc/arc_5.21q.orig.tar.gz"
+MD5SUM="e8cb2f5988605aa830e79f40ab652c13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/arc/slack-desc b/system/arc/slack-desc
new file mode 100644
index 0000000000..6d43abacc0
--- /dev/null
+++ b/system/arc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+arc: arc (archaic archiver)
+arc:
+arc: This program is based on the MSDOS ARC program, version 5.21, plus
+arc: a few enhancements.
+arc:
+arc:
+arc:
+arc:
+arc:
+arc:
+arc: